#**jQuery.lightninBox**

##**Description**

This is a jQuery plugin that opens a modal window with a customized source. It supports html5 video and image elements and has a gallery mode that allows switching from a media by clicking on arrows.

##**Getting started**
###Quick initialization :
```javascript
$(".lightninBox").lightninBox();
```
Every link with the lightninBox class will open a modal window with the href specified.

###Custom initialization :
```javascript
$(".lightninBox").lightninBox({
    padding: 20, // the padding around the lightbox as specified in your css
    margin: 20, // the margin around the lightbox
    gallery: true, // whether gallery mode is allows
    loaderSource: 'img/loader.gif' // the loader source that will be show while your asset is being loaded
});
```

###Gallery Mode :
```html
<a href="img.jpg" data-lb-group="group1">First Link</a> <a href="img2.jpg" data-lb-group="group1">Second Link</a>
```
```javascript
// Following are the default values
$(".lightninBox").lightninBox({
    padding: 20, // the padding around the lightbox as specified in your css
    margin: 20, // the margin around the lightbox
    gallery: true, // whether gallery mode is allows
    loaderSource: 'img/loader.gif' // the loader source that will be show while your asset is being loaded
});
```